﻿Imports ESRI.ArcGIS.ArcMapUI
Imports ESRI.ArcGIS.Carto
Imports ESRI.ArcGIS.Geodatabase
Public Class Form1
    Private Sub ReadData(ByVal sender)

        Dim pMxDoc As IMxDocument
        pMxDoc = My.ArcMap.Document
        Dim pMap As IMap
        pMap = pMxDoc.FocusMap
        Dim pFLayer As IFeatureSelection

        Dim Count As Integer
        For Count = 0 To pMap.LayerCount - 1

            If pMap.Layer(Count).Name = "Counties" Then

                pFLayer = pMap.Layer(Count)

                Dim pFCursor As IFeatureCursor = Nothing

                pFLayer.SelectionSet.Search(Nothing, False, pFCursor)


                Dim pF As IFeature
                pF = pFCursor.NextFeature

                If pFLayer.SelectionSet.Count <> 0 Then
                    lblCountyName.Text = pF.Value(pF.Fields.FindField("NAME"))
                    lblStateName.Text = pF.Value(pF.Fields.FindField("STATE_NAME"))
                    lblPopulation.Text = pF.Value(pF.Fields.FindField("POP2000"))
                    lblArea.Text = pF.Value(pF.Fields.FindField("AREA"))
                Else
                    If sender = "Button" Then MsgBox("Please select a county.")
                End If

                Exit For
            End If
        Next Count

    End Sub

    Private Sub btnRead_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRead.Click
        Call ReadData("Button")
    End Sub

    Private Sub btnClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClose.Click
        Me.Close()
    End Sub
End Class